> ## Documentation Index
> Fetch the complete documentation index at: https://docs.twexapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Following

> Get following of a user, $0.14/1000 following. When count > 5000, returns a task_id immediately (HTTP 202). Use GET /twitter/following/task/{task_id}/status to check progress, and GET /twitter/following/task/{task_id}/next to consume pages one by one.



## OpenAPI

````yaml /api-reference/openapi.json get /twitter/following/{screen_name}/{count}
openapi: 3.1.0
info:
  title: Twitter API Service
  description: |2-

            A comprehensive Twitter API service that provides various Twitter operations including:
            
            * **Search Operations**: Advanced search, hashtags, cashtags
            * **Tweet Operations**: Post, like, retweet, quote, bookmark, delete
            * **User Operations**: Batch user information retrieval
            * **Influencer Operations**: Get tweets from top influencers
            
            All endpoints return standardized responses in the format:
            ```json
            {
                "code": 200,
                "msg": "success", 
                "data": {...}
            }
            ```
            
            ## Authentication
            
            This API uses Bearer token authentication. Include your token in the Authorization header:
            ```
            Authorization: Bearer your_token_here
            ```
            
  contact:
    name: API Support
    email: support@twitterxapi.com
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.twexapi.io
    description: Development server
security: []
paths:
  /twitter/following/{screen_name}/{count}:
    get:
      tags:
        - Followers & Following Endpoints
      summary: Get Following
      description: >-
        Get following of a user, $0.14/1000 following. When count > 5000,
        returns a task_id immediately (HTTP 202). Use GET
        /twitter/following/task/{task_id}/status to check progress, and GET
        /twitter/following/task/{task_id}/next to consume pages one by one.
      operationId: get_following_apiendpoint_twitter_following__screen_name___count__get
      parameters:
        - name: screen_name
          in: path
          required: true
          schema:
            type: string
            description: The screen name of the user to get following.
            examples:
              - elonmusk
            title: Screen Name
          description: The screen name of the user to get following.
        - name: count
          in: path
          required: true
          schema:
            type: integer
            description: The number of following to get.
            examples:
              - 200
            title: Count
          description: The number of following to get.
      responses:
        '200':
          description: A list of user info, or a task_id for large requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetFollowingResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    GetFollowingResponse:
      properties:
        code:
          type: integer
          title: Code
          description: HTTP status code
          default: 200
        msg:
          type: string
          title: Msg
          description: Response message
          default: success
        data:
          anyOf:
            - items:
                anyOf:
                  - $ref: '#/components/schemas/UserInfo'
                  - type: 'null'
              type: array
            - $ref: '#/components/schemas/FriendshipTaskData'
          title: Data
          description: List of user info, or task handle when count exceeds async threshold
      type: object
      required:
        - data
      title: GetFollowingResponse
      description: get following API response
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    UserInfo:
      properties:
        userId:
          type: string
          title: Userid
          description: User ID
        isBlueVerified:
          type: boolean
          title: Isblueverified
          description: Blue verification status
        createdAt:
          type: string
          title: Createdat
          description: Account creation date
        createdAtDatetime:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdatdatetime
          description: Account creation datetime in ISO format
        defaultProfile:
          type: boolean
          title: Defaultprofile
          description: Default profile flag
        defaultProfileImage:
          type: boolean
          title: Defaultprofileimage
          description: Default profile image flag
        description:
          type: string
          title: Description
          description: Bio description
        location:
          type: string
          title: Location
          description: Location
        fastFollowersCount:
          type: integer
          title: Fastfollowerscount
          description: Fast followers count
        favouritesCount:
          type: integer
          title: Favouritescount
          description: Likes count
        followersCount:
          type: integer
          title: Followerscount
          description: Followers count
        followingCount:
          type: integer
          title: Followingcount
          description: Following count
        hasCustomTimelines:
          type: boolean
          title: Hascustomtimelines
          description: Has custom timelines flag
        isTranslator:
          type: boolean
          title: Istranslator
          description: Is translator flag
        listedCount:
          type: integer
          title: Listedcount
          description: Listed count
        mediaCount:
          type: integer
          title: Mediacount
          description: Media count
        name:
          type: string
          title: Name
          description: Display name
        normalFollowersCount:
          type: integer
          title: Normalfollowerscount
          description: Normal followers count
        pinnedTweetIdsStr:
          anyOf:
            - items: {}
              type: array
            - type: 'null'
          title: Pinnedtweetidsstr
          description: Pinned tweet IDs
        possiblySensitive:
          type: boolean
          title: Possiblysensitive
          description: Possibly sensitive flag
        profileImageUrlHttps:
          type: string
          title: Profileimageurlhttps
          description: Profile image URL
        username:
          type: string
          title: Username
          description: Username
        statusesCount:
          type: integer
          title: Statusescount
          description: Tweets count
        translatorType:
          anyOf:
            - type: string
            - type: 'null'
          title: Translatortype
          description: Translator type
        verified:
          type: boolean
          title: Verified
          description: Legacy verification status
        verified_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Verified Type
          description: 'Verification badge type: blue, business, government, etc.'
          examples:
            - blue
            - business
            - government
        withheldInCountries:
          anyOf:
            - items: {}
              type: array
            - type: 'null'
          title: Withheldincountries
          description: Withheld in countries
        protected:
          type: boolean
          title: Protected
          description: Protected account flag
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: Url
          description: User profile URL
        descriptionUrls:
          anyOf:
            - items: {}
              type: array
            - type: 'null'
          title: Descriptionurls
          description: Description URLs
        urls:
          anyOf:
            - items: {}
              type: array
            - type: 'null'
          title: Urls
          description: User URLs
        pinnedTweetIds:
          anyOf:
            - items: {}
              type: array
            - type: 'null'
          title: Pinnedtweetids
          description: Pinned tweet IDs
      type: object
      required:
        - userId
        - isBlueVerified
        - createdAt
        - defaultProfile
        - defaultProfileImage
        - description
        - location
        - fastFollowersCount
        - favouritesCount
        - followersCount
        - followingCount
        - hasCustomTimelines
        - isTranslator
        - listedCount
        - mediaCount
        - name
        - normalFollowersCount
        - possiblySensitive
        - profileImageUrlHttps
        - username
        - statusesCount
        - verified
        - protected
      title: UserInfo
      description: User information structure
    FriendshipTaskData:
      properties:
        task_id:
          type: string
          title: Task Id
          description: Task ID for polling status/next endpoints
        reused:
          type: boolean
          title: Reused
          description: True if an in-flight task was reused
      type: object
      required:
        - task_id
        - reused
      title: FriendshipTaskData
      description: Async friendship fetch task handle
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````